package com.rssuper.parsing;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u00000\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\b\u00c6\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002\u00a2\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u0016\u0010\u0007\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\t\u001a\u00020\u0006J0\u0010\n\u001a\u00020\u000b2\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\t\u001a\u00020\u00062\u0018\u0010\f\u001a\u0014\u0012\n\u0012\b\u0012\u0004\u0012\u00020\b0\u000e\u0012\u0004\u0012\u00020\u000b0\r\u00a8\u0006\u000f"}, d2 = {"Lcom/rssuper/parsing/FeedParser;", "", "()V", "detectFeedType", "Lcom/rssuper/parsing/FeedType;", "xml", "", "parse", "Lcom/rssuper/parsing/ParseResult;", "feedUrl", "parseAsync", "", "callback", "Lkotlin/Function1;", "Lkotlin/Result;", "RSSuper_debug"})
public final class FeedParser {
    @org.jetbrains.annotations.NotNull()
    public static final com.rssuper.parsing.FeedParser INSTANCE = null;
    
    private FeedParser() {
        super();
    }
    
    @org.jetbrains.annotations.NotNull()
    public final com.rssuper.parsing.ParseResult parse(@org.jetbrains.annotations.NotNull()
    java.lang.String xml, @org.jetbrains.annotations.NotNull()
    java.lang.String feedUrl) {
        return null;
    }
    
    public final void parseAsync(@org.jetbrains.annotations.NotNull()
    java.lang.String xml, @org.jetbrains.annotations.NotNull()
    java.lang.String feedUrl, @org.jetbrains.annotations.NotNull()
    kotlin.jvm.functions.Function1<? super kotlin.Result<com.rssuper.parsing.ParseResult>, kotlin.Unit> callback) {
    }
    
    private final com.rssuper.parsing.FeedType detectFeedType(java.lang.String xml) {
        return null;
    }
}